package org.apache.commons.lang3.function;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Objects;

@FunctionalInterface
public interface FailableConsumer<T, E extends Throwable> {
  public static final org.apache.commons.lang3.function.FailableConsumer NOP = t -> {
    
    };
  
  static <T, E extends Throwable> org.apache.commons.lang3.function.FailableConsumer<T, E> nop() {
    return NOP;
  }
  
  default org.apache.commons.lang3.function.FailableConsumer<T, E> andThen(org.apache.commons.lang3.function.FailableConsumer<? super T, E> after) {
    Objects.requireNonNull(after);
    return t -> {
        accept((T)t);
        after.accept(t);
      };
  }
  
  void accept(T paramT) throws E;
}
